# Update Endpoint - UpdateTimeTriggerById

Update a time trigger using its id.

# HTTP Request

One of the following requests should be made:

PUT /odata/timetrigger({key})
PUT /odata/timetrigger/{key}

# Path parameters

Name Description
key required. Id of time trigger that should be updated.

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization
Content-Type required. application/json

# Request body

Information

Only properties with new values need to be specified, unmodified properties are optional and can be skipped.

Information

If readonly properties are specified the response will always be a 400 Bad Request error.

# Responses

Code Description Type
200 If update of time trigger was successful. TimeTriggerEntity
404 If no time trigger with the given id could be found.
500 When an internal server occurs during the update of time trigger.

# Example

# Request

The following is an example of how to call the endpoint:

PUT /odata/timetrigger(1)
Content-Type: application/json

{
  "cronJobFormatValue": "* */12 * * *"
}

# Response

The following example shows the response:

Information

The response object is truncated for clarity. Default properties will be returned from the call.

{
  "triggerId": 1,
  "cronJobFormatValue": "* */12 * * *",
  "isActive": true
}
Last updated: February 14, 2025 at 8:26 AM